## qtop 2.3.1

=== CMakeLists.txt ===
# $Id$
cmake_minimum_required(VERSION 2.8.12)

project(Top)
set(TOP_VERSION_MAJOR 2)
SET(TOP_VERSION_MINOR 3)
SET(TOP_VERSION_PATCH 1)
set(TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH})

########### modules #################
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/base-cmake")
include(Macros)
setup_cmake_settings()
setup_compiler_flags()

########### packages ###############
set(CPACK_PACKAGE_NAME "Top")
set(CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr")
set(CPACK_PACKAGE_VERSION "${TOP_VERSION}")
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
include(CPack)

########### configuration files ###############
configure_file(Top.spec.cmake ${CMAKE_SOURCE_DIR}/Top.spec)

########### subdirectories ###############
if(ENABLE_SHARED)

  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  link_directories(${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_subdirectory(base)
  add_subdirectory(base-qt)
  add_subdirectory(base-server)

endif()

add_subdirectory(src)

=== base-help/CMakeLists.txt ===
# $Id$
project(BASE_HELP)
set(BASE_HELP_VERSION_MAJOR 1)
set(BASE_HELP_VERSION_MINOR 0)
set(BASE_HELP_VERSION_PATCH 0)
set(BASE_HELP_VERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR}.${BASE_HELP_VERSION_PATCH})
set(BASE_HELP_SOVERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_help_SOURCES
  HelpDialog.cpp
  HelpItem.cpp
  HelpManager.cpp
  HelpModel.cpp
 )

if(ENABLE_SHARED)

  add_library(base-help SHARED ${base_help_SOURCES})
  set_target_properties(base-help PROPERTIES VERSION ${BASE_HELP_VERSION} SOVERSION ${BASE_HELP_SOVERSION})
  install(TARGETS base-help DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-help STATIC ${base_help_SOURCES})

endif()

target_link_libraries(base-help ${QT_LIBRARIES} base base-qt)

if(USE_QT5)

  qt5_use_modules(base-help Widgets Xml)

endif()

=== base-notifications/CMakeLists.txt ===
# $Id$
project(BASE_NOTIFICATIONS)
set(BASE_NOTIFICATIONS_VERSION_MAJOR 1)
set(BASE_NOTIFICATIONS_VERSION_MINOR 0)
set(BASE_NOTIFICATIONS_VERSION_PATCH 0)
set(BASE_NOTIFICATIONS_VERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR}.${BASE_NOTIFICATIONS_VERSION_PATCH})
set(BASE_NOTIFICATIONS_SOVERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

############ Notifications
find_package(PkgConfig)
if(PKG_CONFIG_FOUND)

  PKG_CHECK_MODULES(LIBNOTIFY libnotify)
  if(LIBNOTIFY_FOUND)
    include_directories(${LIBNOTIFY_INCLUDE_DIRS})
    add_definitions(-DWITH_LIBNOTIFY=${LIBNOTIFY_FOUND})

  else()

    add_definitions(-DWITH_LIBNOTIFY=FALSE)

  endif()

else()

  add_definitions(-DWITH_LIBNOTIFY=FALSE)

endif()


########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_notifications_SOURCES
  SystemNotifications.cpp
  SystemNotifications_p.cpp
)

if(ENABLE_SHARED)

  add_library(base-notifications SHARED ${base_notifications_SOURCES})
  set_target_properties(base-notifications PROPERTIES VERSION ${BASE_NOTIFICATIONS_VERSION} SOVERSION ${BASE_NOTIFICATIONS_VERSION})
  install(TARGETS base-notifications DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-notifications STATIC ${base_notifications_SOURCES})

endif()

target_link_libraries(base-notifications ${QT_LIBRARIES} base base-qt)

if(USE_QT5)

  qt5_use_modules(base-notifications Widgets)

endif()

if(LIBNOTIFY_FOUND)
  target_link_libraries(base-notifications ${LIBNOTIFY_LIBRARIES})
endif()

=== base-qt/CMakeLists.txt ===
# $Id$
project(BASE_QT)
set(BASE_QT_VERSION_MAJOR 1)
set(BASE_QT_VERSION_MINOR 0)
set(BASE_QT_VERSION_PATCH 0)
set(BASE_QT_VERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR}.${BASE_QT_VERSION_PATCH})
set(BASE_QT_SOVERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Xml REQUIRED)
  find_package(Qt5PrintSupport REQUIRED)

  if(WIN32)
  find_package(Qt5WinExtras REQUIRED)
  endif()

  # needed to access QPA classes
  include_directories(${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### X11 #########
if(UNIX AND NOT APPLE)

  find_package(X11)
  find_package(XCB COMPONENTS XCB KEYSYMS)
  find_package(X11_XCB)
  if( X11_FOUND AND XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )
      add_definitions(-DHAVE_XCB=1)
  else()
    add_definitions(-DHAVE_XCB=0)
  endif()

else()

  add_definitions(-DHAVE_XCB=0)

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_qt_SOURCES
  BaseContextMenu.cpp
  BaseFileIconProvider.cpp
  BaseFileInfo.cpp
  BaseFileInfoConfigurationWidget.cpp
  BaseFileInfoToolTipWidget.cpp
  BaseFileInformationDialog.cpp
  BaseFindDialog.cpp
  BaseFindWidget.cpp
  BaseMainWindow.cpp
  BaseConfigurationDialog.cpp
  BaseDialog.cpp
  BasePrintHelper.cpp
  BaseProgressBar.cpp
  BaseReplaceDialog.cpp
  BaseReplaceWidget.cpp
  BaseStatusBar.cpp
  BaseToolTipWidget.cpp
  BlockHighlight.cpp
  BoxSelection.cpp
  BrowsedLineEditor.cpp
  BrowseIconButton.cpp
  BusyWidget.cpp
  ClockLabel.cpp
  ColorComboBox.cpp
  ColorDisplay.cpp
  ColorGrabButton.cpp
  ColorGrabObject.cpp
  ColorMenu.cpp
  ColorOptionListBox.cpp
  ColorOptionModel.cpp
  ColumnSelectionMenu.cpp
  ColumnSortingMenu.cpp
  ContextMenu.cpp
  CounterDialog.cpp
  CounterModel.cpp
  CursorMonitor.cpp
  CustomComboBox.cpp
  CustomDialog.cpp
  CustomPixmap.cpp
  CustomSlider.cpp
  CustomTextDocument.cpp
  CustomToolBar.cpp
  CustomToolButton.cpp
  DebugMenu.cpp
  DefaultFolders.cpp
  DetailsDialog.cpp
  DockPanel.cpp
  DockWidget.cpp
  DragMonitor.cpp
  ElidedLabel.cpp
  ErrorHandler.cpp
  EmbeddedWidget.cpp
  FileDialog.cpp
  FileList.cpp
  FilePermissionsWidget.cpp
  FileRecordModel.cpp
  FileSystemWatcher.cpp
  FontEditor.cpp
  FontInfo.cpp
  GridLayoutItem.cpp
  HtmlDialog.cpp
  HtmlTextNode.cpp
  IconCacheDialog.cpp
  IconCacheModel.cpp
  IconEngine.cpp
  IconSize.cpp
  IconSizeMenu.cpp
  IconView.cpp
  IconViewItem.cpp
  ImageFileDialog.cpp
  InformationDialog.cpp
  InterruptionHandler.cpp
  ItemModel.cpp
  KeyModifier.cpp
  LineEditor.cpp
  LineNumberDisplay.cpp
  LogWidget.cpp
  MimeTypeIconProvider.cpp
  MultipleClickCounter.cpp
  OptionBrowsedLineEditor.cpp
  OptionCheckBox.cpp
  OptionColorDisplay.cpp
  OptionComboBox.cpp
  OptionDialog.cpp
  OptionFontEditor.cpp
  OptionFontInfo.cpp
  OptionLineEditor.cpp
  OptionListBox.cpp
  OptionModel.cpp
  OptionRadioButton.cpp
  OptionSlider.cpp
  OptionSpinBox.cpp
  OptionWidgetList.cpp
  PathEditor.cpp
  PathHistory.cpp
  PathHistoryConfiguration.cpp
  PixmapEngine.cpp
  PlacesWidget.cpp
  PrinterOptionWidget.cpp
  PrintPreviewDialog.cpp
  ProgressStatusBar.cpp
  QuestionDialog.cpp
  QtUtil.cpp
  RecentFilesConfiguration.cpp
  RecentFilesMenu.cpp
  RemoveLineBuffer.cpp
  RoundedPath.cpp
  RoundedRegion.cpp
  ScratchFileMonitor.cpp
  ScratchFileRemoveDialog.cpp
  SelectLineDialog.cpp
  SelectLineWidget.cpp
  SimpleListView.cpp
  StandardAction.cpp
  SystemEnvironmentDialog.cpp
  TabbedDialog.cpp
  TabWidget.cpp
  TextEditor.cpp
  TextEditorMarginWidget.cpp
  TextEditionDelegate.cpp
  TextEncodingDialog.cpp
  TextEncodingMenu.cpp
  TextEncodingWidget.cpp
  TextPosition.cpp
  TextSeparator.cpp
  ToolBarMenu.cpp
  ToolButtonStyleMenu.cpp
  TreeItemBase.cpp
  TreeView.cpp
  TreeViewConfiguration.cpp
  TreeViewItemDelegate.cpp
  UserSelectionFrame.cpp
  ValidFileThread.cpp
  WarningDialog.cpp
  WidgetDragMonitor.cpp
  WidgetMonitor.cpp
  WinUtil.cpp
  XcbUtil.cpp
  XmlColor.cpp
  XmlCommandLineArguments.cpp
  XmlDocument.cpp
  XmlFileList.cpp
  XmlFileRecord.cpp
  XmlMigration.cpp
  XmlOption.cpp
  XmlOptions.cpp
  XmlPathHistory.cpp
  XmlTextFormatBlock.cpp
  XmlTimeStamp.cpp
  XmlString.cpp
)

set(base_qt_RESOURCES basePixmaps.qrc)

if(USE_QT5)

  qt5_add_resources(base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

else()

  qt4_add_resources(base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

endif()


if(ENABLE_SHARED)

  add_library(base-qt SHARED ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC})
  set_target_properties(base-qt PROPERTIES VERSION ${BASE_QT_VERSION} SOVERSION ${BASE_QT_SOVERSION})
  install(TARGETS base-qt DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-qt STATIC ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC})

endif()

if(X11_FOUND)

  target_link_libraries(base-qt ${X11_X11_LIB})
  target_link_libraries(base-qt ${XCB_LIBRARIES})
  target_link_libraries(base-qt ${X11_XCB_LIBRARIES})

endif()

target_link_libraries(base-qt ${QT_LIBRARIES} base)

if(USE_QT5)

  qt5_use_modules(base-qt Gui Widgets Xml PrintSupport)
  if(WIN32)
    qt5_use_modules(base-qt WinExtras)
  endif()

endif()

=== base-server/CMakeLists.txt ===
# $Id$
project(BASE_SERVER)
set(BASE_SERVER_VERSION_MAJOR 1)
set(BASE_SERVER_VERSION_MINOR 0)
set(BASE_SERVER_VERSION_PATCH 0)
set(BASE_SERVER_VERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR}.${BASE_SERVER_VERSION_PATCH})
set(BASE_SERVER_SOVERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)
  find_package(Qt5DBus)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTXML TRUE)
  set(QT_USE_QTNETWORK TRUE)

  if(UNIX AND NOT APPLE)

    set(QT_USE_QTDBUS TRUE)

  else()

    add_definitions("-DQT_NO_DBUS")

  endif()

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

# DBUS: is forced to false on APPLE

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_server_SOURCES
  ApplicationId.cpp
  ApplicationManager.cpp
  BaseApplication.cpp
  BaseCoreApplication.cpp
  Client.cpp
  ServerCommand.cpp
  ServerConfiguration.cpp
)

if(ENABLE_SHARED)

  add_library(base-server SHARED ${base_server_SOURCES})
  set_target_properties(base-server PROPERTIES VERSION ${BASE_SERVER_VERSION} SOVERSION ${BASE_SERVER_SOVERSION})
  install(TARGETS base-server DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-server STATIC ${base_server_SOURCES})

endif()

target_link_libraries(base-server ${QT_LIBRARIES} base base-qt)

if(USE_QT5)

  qt5_use_modules(base-server Widgets Network Xml)
  if(Qt5DBus_FOUND )
    qt5_use_modules(base-server DBus)
  endif()

endif()

=== base-spellcheck/CMakeLists.txt ===
# $Id$
project(BASE_SPELLCHECK)
set(BASE_SPELLCHECK_VERSION_MAJOR 1)
set(BASE_SPELLCHECK_VERSION_MINOR 0)
set(BASE_SPELLCHECK_VERSION_PATCH 0)
set(BASE_SPELLCHECK_VERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR}.${BASE_SPELLCHECK_VERSION_PATCH})
set(BASE_SPELLCHECK_SOVERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### aspell ###############
find_package(ASPELL REQUIRED)
include_directories(${ASPELL_INCLUDE_DIR})

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_spellcheck_SOURCES
  AutoSpellConfiguration.cpp
  DictionaryMenu.cpp
  DictionarySelectionButton.cpp
  FilterMenu.cpp
  FilterSelectionButton.cpp
  SpellCheckConfiguration.cpp
  SpellDialog.cpp
  SpellInterface.cpp
  SpellItemDialog.cpp
  SpellItemModel.cpp
  SpellParser.cpp
  SuggestionMenu.cpp
  TexString.cpp
 )

if(ENABLE_SHARED)

  add_library(base-spellcheck SHARED ${base_spellcheck_SOURCES})
  set_target_properties(base-spellcheck PROPERTIES VERSION ${BASE_SPELLCHECK_VERSION} SOVERSION ${BASE_SPELLCHECK_SOVERSION})
  install(TARGETS base-spellcheck DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-spellcheck STATIC ${base_spellcheck_SOURCES})

endif()

target_link_libraries(base-spellcheck ${QT_LIBRARIES} ${ASPELL_LIBRARIES} base base-qt)

if(USE_QT5)

  qt5_use_modules(base-spellcheck Widgets Network)

endif()

=== base-ssh/CMakeLists.txt ===
# $Id$
project(BASE_SSH)
set(BASE_SSH_VERSION_MAJOR 1)
set(BASE_SSH_VERSION_MINOR 0)
set(BASE_SSH_VERSION_PATCH 0)
set(BASE_SSH_VERSION ${BASE_SSH_VERSION_MAJOR}.${BASE_SSH_VERSION_MINOR}.${BASE_SSH_VERSION_PATCH})
set(BASE_SSH_SOVERSION ${BASE_SSH_VERSION_MAJOR}.${BASE_SSH_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### ssh #########
find_package( PkgConfig REQUIRED )
pkg_check_modules(LIBSSH2 libssh2>=1.2.8)
if(${LIBSSH2_FOUND})
   add_definitions(-DHAVE_SSH=1)
  include_directories(${LIBSSH2_INCLUDE_DIRS})
else()
   add_definitions(-DHAVE_SSH=0)
endif()

########### includes #########
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_ssh_SOURCES
  SshChannelThread.cpp
  SshConnection.cpp
  SshConnectionAttributes.cpp
  SshListeningThread.cpp
  SshLoginDialog.cpp
  SshSingleton.cpp
  SshSocket.cpp
  SshTunnel.cpp
  SshUtil.cpp
)

if(ENABLE_SHARED)

  add_library(base-ssh SHARED ${base_ssh_SOURCES})
  set_target_properties(base-ssh PROPERTIES VERSION ${BASE_SSH_VERSION} SOVERSION ${BASE_SSH_SOVERSION})
  install(TARGETS base-ssh DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-ssh STATIC ${base_ssh_SOURCES} ${base_ssh_RESOURCES_RCC})

endif()

target_link_libraries(base-ssh ${QT_LIBRARIES} base base-qt)

if(WIN32)
  # add needed libraries for sockets and inet on windows
  target_link_libraries(base-ssh ws2_32)
endif()

if(${LIBSSH2_FOUND})
target_link_libraries(base-ssh ${LIBSSH2_LIBRARIES})
endif()

if(USE_QT5)

  qt5_use_modules(base-ssh Widgets Network)

endif()

=== base-svg/CMakeLists.txt ===
# $Id$
project(BASE_SVG)
set(BASE_SVG_VERSION_MAJOR 1)
set(BASE_SVG_VERSION_MINOR 0)
set(BASE_SVG_VERSION_PATCH 0)
set(BASE_SVG_VERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR}.${BASE_SVG_VERSION_PATCH})
set(BASE_SVG_SOVERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Svg REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTSVG TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### aspell ###############
if(USE_QT5)
find_program(KDE4_CONFIG kf5-config)
else()
find_program(KDE4_CONFIG kde4-config)
endif()

########### configuration files ###############
configure_file(SvgSystemOptions.h.cmake SvgSystemOptions.h)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)
include_directories(${CMAKE_SOURCE_DIR}/base-transparency)

########### next target ###############
set(base_svg_SOURCES
  SvgConfiguration.cpp
  SvgEngine.cpp
  SvgPlasmaInterface.cpp
  SvgRenderer.cpp
  SvgThread.cpp
)

set(base_svg_RESOURCES baseSvg.qrc)

if(USE_QT5)

  qt5_add_resources(base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

else()

  qt4_add_resources(base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

endif()

if(ENABLE_SHARED)

  add_library(base-svg SHARED ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC})
  set_target_properties(base-svg PROPERTIES VERSION ${BASE_SVG_VERSION} SOVERSION ${BASE_SVG_SOVERSION})
  install(TARGETS base-svg DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-svg STATIC ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC})

endif()

target_link_libraries(base-svg ${QT_LIBRARIES} base-transparency)

if(USE_QT5)

  qt5_use_modules(base-svg Widgets Svg)

endif()

=== base-transparency/CMakeLists.txt ===
# $Id$
project(BASE_TRANSPARENCY)
set(BASE_TRANSPARENCY_VERSION_MAJOR 1)
set(BASE_TRANSPARENCY_VERSION_MINOR 0)
set(BASE_TRANSPARENCY_VERSION_PATCH 0)
set(BASE_TRANSPARENCY_VERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR}.${BASE_TRANSPARENCY_VERSION_PATCH})
set(BASE_TRANSPARENCY_SOVERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

# ########### X11 #######################
if(UNIX AND NOT APPLE)

  find_package(XCB COMPONENTS XCB SHAPE)
  if( XCB_XCB_FOUND AND XCB_SHAPE_FOUND )
    add_definitions(-DHAVE_XCB=1)
  else()
    add_definitions(-DHAVE_XCB=0)
  endif()

else()

  add_definitions(-DHAVE_XCB=0)

endif()

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### next target ###############
set(base_transparency_SOURCES
  CompositeEngine.cpp
  ShadowLabel.cpp
  TransparencyConfiguration.cpp
  TransparentWidget.cpp
)

if(ENABLE_SHARED)

  add_library(base-transparency SHARED ${base_transparency_SOURCES})
  set_target_properties(base-transparency PROPERTIES VERSION ${BASE_TRANSPARENCY_VERSION} SOVERSION ${BASE_TRANSPARENCY_SOVERSION})
  install(TARGETS base-transparency DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-transparency STATIC ${base_transparency_SOURCES})

endif()

target_link_libraries(base-transparency ${XCB_LIBRARIES})
target_link_libraries(base-transparency ${QT_LIBRARIES} base-qt)

if(USE_QT5)

  qt5_use_modules(base-transparency Widgets Network)

endif()

=== base/CMakeLists.txt ===
# $Id$
project(BASE)
set(BASE_VERSION_MAJOR 1)
set(BASE_VERSION_MINOR 0)
set(BASE_VERSION_PATCH 0)
set(BASE_VERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR}.${BASE_VERSION_PATCH})
set(BASE_SOVERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_SOURCES
  Color.cpp
  Command.cpp
  CommandLineArguments.cpp
  CommandLineParser.cpp
  Counter.cpp
  CounterMap.cpp
  CustomProcess.cpp
  Debug.cpp
  File.cpp
  FileThread.cpp
  FileRecord.cpp
  Key.cpp
  Option.cpp
  Options.cpp
  Singleton.cpp
  TimeStamp.cpp
  Util.cpp
)

if(ENABLE_SHARED)

  add_library(base SHARED ${base_SOURCES})
  set_target_properties(base PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_SOVERSION})
  target_link_libraries(base ${QT_LIBRARIES})
  install(TARGETS base DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base STATIC ${base_SOURCES})
  target_link_libraries(base ${QT_LIBRARIES})

endif()

if(USE_QT5)

  qt5_use_modules(base Widgets Network)

endif()

=== src/CMakeLists.txt ===
# $Id$
########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTXML TRUE)
  set(QT_USE_QTNETWORK TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### X11 #########
if(UNIX AND NOT APPLE)

  find_package(XCB COMPONENTS XCB)
  if( XCB_XCB_FOUND )
    add_definitions(-DHAVE_XCB=1)
  else()
    add_definitions(-DHAVE_XCB=0)
  endif()

endif()

########### includes #########
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)
include_directories(${CMAKE_SOURCE_DIR}/base-server)

########### configuration files ###############
configure_file(Config.h.cmake Config.h)

########### next target ###############
set(Top_SOURCES
  Application.cpp
  ConfigurationDialog.cpp
  HistogramWidget.cpp
  Job.cpp
  JobCommand.cpp
  JobInformationDialog.cpp
  JobInterface.cpp
  JobManager.cpp
  JobManagerFrame.cpp
  JobModel.cpp
  JobRecord.cpp
  JobThread.cpp
  MainWindow.cpp
  Menu.cpp
  NewFrameDialog.cpp
  RecordHistogram.cpp
  SignalMenu.cpp
  SignalJobsDialog.cpp
  SummaryFrame.cpp
  ToolTipWidget.cpp
  UserSet.cpp
  XcbInterface.cpp
  main.cpp
)

set(Top_RESOURCES pixmaps.qrc)

if(USE_QT5)

  qt5_add_resources(Top_RESOURCES_RCC ${Top_RESOURCES})

else()

  qt4_add_resources(Top_RESOURCES_RCC ${Top_RESOURCES})

endif()

add_application_icon(Top_SOURCES ${CMAKE_SOURCE_DIR}/Top)
add_desktop_file(${CMAKE_SOURCE_DIR}/Top)
ADD_UNIX_EXECUTABLE(Top
  ${Top_SOURCES}
  ${Top_RESOURCES_RCC}
)

target_link_libraries(Top ${XCB_LIBRARIES})
target_link_libraries(Top ${QT_LIBRARIES})
target_link_libraries(Top base base-qt base-server)

install(TARGETS Top DESTINATION ${BIN_INSTALL_DIR})

if(USE_QT5)

  qt5_use_modules(Top Network Widgets Xml)

endif()

=== debian/changelog ===
qtop (2.3.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/patches:
    - Refresh patches for new upstream version.
    - Make patches DEP3 compliant.
  * Add debian/menu and debian/add_desktop.patch, so qtop has a valid 
    menu entry.
  * debian/qtop.1:
    - Refresh manpage for new upstream version.
  * debian/control:
    - Make description clearer (replace 'It' by 'qtop').
    - Include dpkg buildflags.
  * debian/control, debian/copyright:
    - Change the Maintainer's e-mail address.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 20 Sep 2015 12:39:26 +0200

qtop (2.2.5-1) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Add Vcs-Svn and Vcs-Browser fields.
    - Fix Lintian build-depends-on-metapackage error: Replace qt4-default
      build-dependency by libqt4-dev.
  * debian/watch:
    - Update URL as the old one resulted in "403 permission denied".
  * debian/copyright:
    - Update copyright years.
  * debian/patches/name.patch:
    - Refresh patches for new upstream version.
  * debian/qtop.1:
    - Update year and version.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 24 Jan 2015 11:40:21 +0100

=== debian/control ===
Source: qtop
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9.0.0),
               dpkg-dev (>= 1.16.1~),
               libxcb-keysyms1-dev,
               libqt4-dev,
               xdg-utils,
               libx11-dev,
               pkg-config,
               libx11-xcb-dev
Standards-Version: 3.9.6
Homepage: http://hugo.pereira.free.fr/software/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/qtop/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/

Package: qtop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: windowed version of the console top command
 qtop provides a dynamic real-time view of a running system. It has only
 a small fraction of the options provided by its console counterparts,
 but hopefully the most used ones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS

=== debian/watch ===
version=3
http://hugo.pereira.free.fr/software/index.php?page=package&package_list=software_list_qt4&package=Top&full=0 tgz/Top-(.+).tar.gz

## qtop 2.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Top)
 set(TOP_VERSION_MAJOR 2)
 SET(TOP_VERSION_MINOR 3)
-SET(TOP_VERSION_PATCH 1)
+SET(TOP_VERSION_PATCH 3)
 set(TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH})
 
 ########### modules #################

=== base-notifications/CMakeLists.txt ===
--- 
+++ 
@@ -10,36 +10,26 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
+  find_package(Qt5DBus)
 
 else()
 
   find_package(Qt4 REQUIRED)
+
+  if(UNIX AND NOT APPLE)
+
+    set(QT_USE_QTDBUS TRUE)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
+  endif()
+
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
-
-############ Notifications
-find_package(PkgConfig)
-if(PKG_CONFIG_FOUND)
-
-  PKG_CHECK_MODULES(LIBNOTIFY libnotify)
-  if(LIBNOTIFY_FOUND)
-    include_directories(${LIBNOTIFY_INCLUDE_DIRS})
-    add_definitions(-DWITH_LIBNOTIFY=${LIBNOTIFY_FOUND})
-
-  else()
-
-    add_definitions(-DWITH_LIBNOTIFY=FALSE)
-
-  endif()
-
-else()
-
-  add_definitions(-DWITH_LIBNOTIFY=FALSE)
-
-endif()
-
 
 ########### includes ###############
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -52,6 +42,7 @@
 
 ########### next target ###############
 set(base_notifications_SOURCES
+  ImageData.cpp
   SystemNotifications.cpp
   SystemNotifications_p.cpp
 )
@@ -73,9 +64,14 @@
 if(USE_QT5)
 
   qt5_use_modules(base-notifications Widgets)
+  if(Qt5DBus_FOUND )
+
+    qt5_use_modules(base-notifications DBus)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
+  endif()
 
 endif()
-
-if(LIBNOTIFY_FOUND)
-  target_link_libraries(base-notifications ${LIBNOTIFY_LIBRARIES})
-endif()

=== base-qt/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
   find_package(Qt5Gui REQUIRED)
   find_package(Qt5Widgets REQUIRED)
+  find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
   find_package(Qt5PrintSupport REQUIRED)
 
@@ -25,6 +26,7 @@
 
   find_package(Qt4 REQUIRED)
   set(QT_USE_QTXML TRUE)
+  set(QT_USE_QTNETWORK TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -62,7 +64,9 @@
   BaseFileIconProvider.cpp
   BaseFileInfo.cpp
   BaseFileInfoConfigurationWidget.cpp
+  BaseFileInfoIconView.cpp
   BaseFileInfoToolTipWidget.cpp
+  BaseFileInfoItemDelegate.cpp
   BaseFileInformationDialog.cpp
   BaseFindDialog.cpp
   BaseFindWidget.cpp
@@ -73,6 +77,7 @@
   BaseProgressBar.cpp
   BaseReplaceDialog.cpp
   BaseReplaceWidget.cpp
+  BaseSocketInterface.cpp
   BaseStatusBar.cpp
   BaseToolTipWidget.cpp
   BlockHighlight.cpp
@@ -137,6 +142,8 @@
   LogWidget.cpp
   MimeTypeIconProvider.cpp
   MultipleClickCounter.cpp
+  OpenWithComboBox.cpp
+  OpenWithDialog.cpp
   OptionBrowsedLineEditor.cpp
   OptionCheckBox.cpp
   OptionColorDisplay.cpp
@@ -201,7 +208,6 @@
   XmlDocument.cpp
   XmlFileList.cpp
   XmlFileRecord.cpp
-  XmlMigration.cpp
   XmlOption.cpp
   XmlOptions.cpp
   XmlPathHistory.cpp
@@ -247,7 +253,7 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-qt Gui Widgets Xml PrintSupport)
+  qt5_use_modules(base-qt Gui Widgets Network PrintSupport Xml)
   if(WIN32)
     qt5_use_modules(base-qt WinExtras)
   endif()

=== base-server/CMakeLists.txt ===
--- 
+++ 
@@ -75,7 +75,13 @@
 
   qt5_use_modules(base-server Widgets Network Xml)
   if(Qt5DBus_FOUND )
+
     qt5_use_modules(base-server DBus)
+
+  else()
+
+    add_definitions("-DQT_NO_DBUS")
+
   endif()
 
 endif()

=== base-ssh/CMakeLists.txt ===
--- 
+++ 
@@ -42,10 +42,8 @@
 
 ########### next target ###############
 set(base_ssh_SOURCES
-  SshChannelThread.cpp
   SshConnection.cpp
   SshConnectionAttributes.cpp
-  SshListeningThread.cpp
   SshLoginDialog.cpp
   SshSingleton.cpp
   SshSocket.cpp

=== debian/changelog ===
qtop (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/menu (useless because of qtop.desktop).
  * Remove debian/patches/fixARM.patch: Integrated in new upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Update Vcs-Browser and Homepage fields to use an encrypted 
      transport protocol.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Add hardening flags.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 13 Sep 2016 11:06:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libx11-dev,
                pkg-config,
                libx11-xcb-dev
-Standards-Version: 3.9.6
-Homepage: http://hugo.pereira.free.fr/software/
+Standards-Version: 3.9.8
+Homepage: https://hugo.pereira.free.fr/software/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/qtop/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/qtop/trunk/
 
 Package: qtop
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS

## qtop 2.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(Top)
 set(TOP_VERSION_MAJOR 2)
 SET(TOP_VERSION_MINOR 3)
-SET(TOP_VERSION_PATCH 3)
+SET(TOP_VERSION_PATCH 4)
 set(TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH})
 
 ########### modules #################

=== base-help/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,10 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Xml REQUIRED)
 
 else()
 
   find_package(Qt4 REQUIRED)
-  set(QT_USE_QTXML TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -33,7 +31,6 @@
 ########### next target ###############
 set(base_help_SOURCES
   HelpDialog.cpp
-  HelpItem.cpp
   HelpManager.cpp
   HelpModel.cpp
  )
@@ -54,6 +51,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-help Widgets Xml)
+  target_link_libraries(base-help Qt5::Widgets)
 
 endif()

=== base-notifications/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
   ImageData.cpp
   SystemNotifications.cpp
   SystemNotifications_p.cpp
+  TaskBarProgressNotifications.cpp
 )
 
 if(ENABLE_SHARED)
@@ -63,10 +64,10 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-notifications Widgets)
+  target_link_libraries(base-notifications Qt5::Widgets)
   if(Qt5DBus_FOUND )
 
-    qt5_use_modules(base-notifications DBus)
+    target_link_libraries(base-notifications Qt5::DBus)
 
   else()

=== base-qt/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,13 @@
 ########### Qt configuration #########
 if(USE_QT5)
 
-  find_package(Qt5Gui REQUIRED)
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
   find_package(Qt5PrintSupport REQUIRED)
 
   if(WIN32)
-  find_package(Qt5WinExtras REQUIRED)
+    find_package(Qt5WinExtras REQUIRED)
   endif()
 
   # needed to access QPA classes
@@ -25,8 +24,8 @@
 else()
 
   find_package(Qt4 REQUIRED)
+  set(QT_USE_QTNETWORK TRUE)
   set(QT_USE_QTXML TRUE)
-  set(QT_USE_QTNETWORK TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
@@ -35,11 +34,16 @@
 ########### X11 #########
 if(UNIX AND NOT APPLE)
 
-  find_package(X11)
   find_package(XCB COMPONENTS XCB KEYSYMS)
   find_package(X11_XCB)
-  if( X11_FOUND AND XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )
-      add_definitions(-DHAVE_XCB=1)
+  if( XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )
+
+    add_definitions(-DHAVE_XCB=1)
+
+    if(USE_QT5)
+      find_package(Qt5X11Extras REQUIRED)
+    endif()
+
   else()
     add_definitions(-DHAVE_XCB=0)
   endif()
@@ -101,6 +105,7 @@
   CursorMonitor.cpp
   CustomComboBox.cpp
   CustomDialog.cpp
+  CustomMenu.cpp
   CustomPixmap.cpp
   CustomSlider.cpp
   CustomTextDocument.cpp
@@ -119,9 +124,11 @@
   FileList.cpp
   FilePermissionsWidget.cpp
   FileRecordModel.cpp
+  FileRecordToolTipWidget.cpp
   FileSystemWatcher.cpp
   FontEditor.cpp
   FontInfo.cpp
+  GridLayout.cpp
   GridLayoutItem.cpp
   HtmlDialog.cpp
   HtmlTextNode.cpp
@@ -142,6 +149,7 @@
   LogWidget.cpp
   MimeTypeIconProvider.cpp
   MultipleClickCounter.cpp
+  NetworkConnectionMonitor.cpp
   OpenWithComboBox.cpp
   OpenWithDialog.cpp
   OptionBrowsedLineEditor.cpp
@@ -171,7 +179,6 @@
   RecentFilesConfiguration.cpp
   RecentFilesMenu.cpp
   RemoveLineBuffer.cpp
-  RoundedPath.cpp
   RoundedRegion.cpp
   ScratchFileMonitor.cpp
   ScratchFileRemoveDialog.cpp
@@ -187,6 +194,7 @@
   TextEditionDelegate.cpp
   TextEncodingDialog.cpp
   TextEncodingMenu.cpp
+  TextEncodingString.cpp
   TextEncodingWidget.cpp
   TextPosition.cpp
   TextSeparator.cpp
@@ -213,7 +221,6 @@
   XmlPathHistory.cpp
   XmlTextFormatBlock.cpp
   XmlTimeStamp.cpp
-  XmlString.cpp
 )
 
 set(base_qt_RESOURCES basePixmaps.qrc)
@@ -241,9 +248,8 @@
 
 endif()
 
-if(X11_FOUND)
-
-  target_link_libraries(base-qt ${X11_X11_LIB})
+if(XCB_FOUND)
+
   target_link_libraries(base-qt ${XCB_LIBRARIES})
   target_link_libraries(base-qt ${X11_XCB_LIBRARIES})
 
@@ -253,9 +259,13 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-qt Gui Widgets Network PrintSupport Xml)
+  target_link_libraries(base-qt Qt5::Widgets Qt5::Network Qt5::PrintSupport Qt5::Xml)
   if(WIN32)
-    qt5_use_modules(base-qt WinExtras)
-  endif()
-
-endif()
+    target_link_libraries(base-qt Qt5::WinExtras)
+  endif()
+
+  if(XCB_FOUND)
+    target_link_libraries(base-qt Qt5::X11Extras)
+  endif()
+
+endif()

=== base-server/CMakeLists.txt ===
--- 
+++ 
@@ -12,30 +12,24 @@
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Network REQUIRED)
   find_package(Qt5Xml REQUIRED)
-  find_package(Qt5DBus)
 
 else()
 
   find_package(Qt4 REQUIRED)
+  set(QT_USE_QTNETWORK TRUE)
   set(QT_USE_QTXML TRUE)
-  set(QT_USE_QTNETWORK TRUE)
-
-  if(UNIX AND NOT APPLE)
-
-    set(QT_USE_QTDBUS TRUE)
-
-  else()
-
-    add_definitions("-DQT_NO_DBUS")
-
-  endif()
-
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
 
 # DBUS: is forced to false on APPLE
+
+########### kde config ###############
+find_program(KDE_CONFIG NAMES kf5-config kde4-config)
+
+########### configuration files ###############
+configure_file(ServerSystemOptions.h.cmake ServerSystemOptions.h)
 
 ########### includes ###############
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
@@ -73,10 +67,10 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-server Widgets Network Xml)
+  target_link_libraries(base-server Qt5::Widgets Qt5::Network Qt5::Xml)
   if(Qt5DBus_FOUND )
 
-    qt5_use_modules(base-server DBus)
+    target_link_libraries(base-server Qt5::DBus)
 
   else()

=== base-spellcheck/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Network REQUIRED)
 
 else()
 
@@ -66,6 +65,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-spellcheck Widgets Network)
+  target_link_libraries(base-spellcheck Qt5::Widgets)
 
 endif()

=== base-ssh/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,22 @@
 endif()
 
 ########### ssh #########
-find_package( PkgConfig REQUIRED )
-pkg_check_modules(LIBSSH2 libssh2>=1.2.8)
-if(${LIBSSH2_FOUND})
-   add_definitions(-DHAVE_SSH=1)
+find_package( PkgConfig )
+if(${PKG_CONFIG_FOUND})
+
+  pkg_check_modules(LIBSSH2 libssh2>=1.2.8)
+
+endif()
+
+if(LIBSSH2_FOUND)
+
+  add_definitions(-DHAVE_SSH=1)
   include_directories(${LIBSSH2_INCLUDE_DIRS})
+
 else()
-   add_definitions(-DHAVE_SSH=0)
+
+  add_definitions(-DHAVE_SSH=0)
+
 endif()
 
 ########### includes #########
@@ -42,8 +51,12 @@
 
 ########### next target ###############
 set(base_ssh_SOURCES
+  SshBaseSocket.cpp
   SshConnection.cpp
   SshConnectionAttributes.cpp
+  SshFileReadSocket.cpp
+  SshFileTransferObject.cpp
+  SshFileWriteSocket.cpp
   SshLoginDialog.cpp
   SshSingleton.cpp
   SshSocket.cpp
@@ -76,6 +89,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-ssh Widgets Network)
+  target_link_libraries(base-ssh Qt5::Widgets Qt5::Network)
 
 endif()

=== base-svg/CMakeLists.txt ===
--- 
+++ 
@@ -11,21 +11,38 @@
 
   find_package(Qt5Widgets REQUIRED)
   find_package(Qt5Svg REQUIRED)
+  find_package(Qt5Xml REQUIRED)
 
 else()
 
   find_package(Qt4 REQUIRED)
   set(QT_USE_QTSVG TRUE)
+  set(QT_USE_QTXML TRUE)
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 
 endif()
 
-########### aspell ###############
-if(USE_QT5)
-find_program(KDE4_CONFIG kf5-config)
+########### kde config ###############
+find_program(KDE_CONFIG NAMES kf5-config kde4-config)
+
+########### zlib ###############
+find_package(PkgConfig)
+if(${PKG_CONFIG_FOUND})
+
+  pkg_check_modules(ZLIB zlib )
+
+endif()
+
+if(ZLIB_FOUND)
+
+  include_directories(${ZLIB_INCLUDE_DIRS})
+  add_definitions(-DWITH_ZLIB=${ZLIB_FOUND})
+
 else()
-find_program(KDE4_CONFIG kde4-config)
+
+  add_definitions(-DWITH_ZLIB=0)
+
 endif()
 
 ########### configuration files ###############
@@ -43,6 +60,7 @@
 
 ########### next target ###############
 set(base_svg_SOURCES
+  BaseSvgRenderer.cpp
   SvgConfiguration.cpp
   SvgEngine.cpp
   SvgPlasmaInterface.cpp
@@ -76,8 +94,14 @@
 
 target_link_libraries(base-svg ${QT_LIBRARIES} base-transparency)
 
+if( ZLIB_FOUND )
+
+  target_link_libraries(base-svg ${ZLIB_LIBRARIES})
+
+endif()
+
 if(USE_QT5)
 
-  qt5_use_modules(base-svg Widgets Svg)
+  target_link_libraries(base-svg Qt5::Widgets Qt5::Svg Qt5::Xml)
 
 endif()

=== base-transparency/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 if(USE_QT5)
 
   find_package(Qt5Widgets REQUIRED)
-  find_package(Qt5Network REQUIRED)
 
 else()
 
@@ -70,6 +69,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base-transparency Widgets Network)
+  target_link_libraries(base-transparency Qt5::Widgets)
 
 endif()

=== base/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,6 @@
   Command.cpp
   CommandLineArguments.cpp
   CommandLineParser.cpp
-  Counter.cpp
   CounterMap.cpp
   CustomProcess.cpp
   Debug.cpp
@@ -44,6 +43,7 @@
   Key.cpp
   Option.cpp
   Options.cpp
+  ResourceMigration.cpp
   Singleton.cpp
   TimeStamp.cpp
   Util.cpp
@@ -65,6 +65,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(base Widgets Network)
+  target_link_libraries(base Qt5::Widgets Qt5::Network)
 
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -91,6 +91,6 @@
 
 if(USE_QT5)
 
-  qt5_use_modules(Top Network Widgets Xml)
+  target_link_libraries(Top Qt5::Network Qt5::Widgets Qt5::Xml)
 
 endif()

=== debian/changelog ===
qtop (2.3.4-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/rules: Add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to
    configure. (Closes: #1113451)

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Nov 2025 13:38:23 -0500

qtop (2.3.4-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/control: Refresh packaging:
    + debhelper compat v13.
    + Standards-Version 4.6.2.
    + Apply "wrap-and-sort -abst".

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Dec 2023 11:45:49 -0500

qtop (2.3.4-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.1.5.
    - Depend on debhelper >= 11 instead of >= 10.
    - Update Vcs-* fields for Salsa migration.
  * Bump compat from 10 to 11.
  * debian/copyright:
    - Update copyright years.
  * Bump watch version to 4.
  * Remove trailing whitespaces from d/changelog.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 31 Jul 2018 16:52:12 +0800

qtop (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.0.
    - Depend on debhelper >= 10 instead of >= 9.
    - Depend on libqt5-dev instead of libqt4-dev (Closes: #875162).
    - Update Homepage field to use http (https one is dead)
    - Add missing dependencies on libqt5x11extras5-dev and
      qtbase5-private-dev.
  * Bump compat from 9 to 10.
  * debian/copyright:
    - Update copyright years.
  * Update manpage for new upstream release.
  * Refresh patches or new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 05 Oct 2017 13:13:36 +0200

=== debian/control ===
Source: qtop
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libqt5x11extras5-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-keysyms1-dev,
 pkgconf,
 qtbase5-dev,
 qtbase5-private-dev,
 xdg-utils,
Standards-Version: 4.7.2
Homepage: http://hugo.pereira.free.fr/software/
Vcs-Browser: https://salsa.debian.org/debian/qtop
Vcs-Git: https://salsa.debian.org/debian/qtop.git

Package: qtop
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: windowed version of the console top command
 qtop provides a dynamic real-time view of a running system. It has only
 a small fraction of the options provided by its console counterparts,
 but hopefully the most used ones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_auto_configure:
	        dh_auto_configure -- -DUSE_QT5=1 -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS

=== debian/watch ===
version=4
http://hugo.pereira.free.fr/software/index.php?page=package&package_list=software_list_qt4&package=Top&full=0 tgz/Top-(.+).tar.gz
